
DELETE FROM "announcements";
INSERT INTO "announcements" ("id", "extid", "text", "level", "visible", "deleted", "time_publish", "time_expire", "time_created", "time_updated", "created_by") VALUES
(1, NULL, 'Test Ankündigung', 0, true, false, '2024-01-26 00:00:00', '2050-03-25 00:00:00', '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0),
(2, NULL, 'Neue Ankündigung', 1, true, false, '2024-03-01 00:00:00', NULL, '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0),
(3, NULL, 'Versteckte Ankündigung', 1, false, false, NULL, NULL, '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0),
(4, NULL, 'Upcoming Announcement', 2, true, false, '2050-03-22 00:00:00', NULL, '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0),
(5, NULL, 'Expired Announcement', 0, true, false, '2024-01-26 00:00:00', '2024-02-01 00:00:00', '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0);
-- Postgres sequences get out of sync when inserting rows with id's set. $POSTGRES_FIX_SEQUENCE is replaced for a postgres
--   import with a statement which fixes the sequence
-- $POSTGRES_FIX_SEQUENCE(announcements, id)

DELETE FROM "chapters";
INSERT INTO "chapters" ("id", "lecture_id", "time", "text", "visible", "deleted", "time_created", "time_updated", "created_by", "submitted_by") VALUES
(1, 25, 60, 'test1', true, false, '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0, NULL),
(2, 25, 7200, 'test2', true, false, '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0, NULL),
(3, 26, 360, 'Hidden', false, false, '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0, NULL),
(4, 1187, 0, 'Deleted', true, true, '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0, NULL),
(5, 3, 429, 'Something', true, false, '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0, NULL);
-- $POSTGRES_FIX_SEQUENCE(chapters, id)

DELETE FROM "responsible";
-- $POSTGRES_FIX_SEQUENCE(responsible, id)

DELETE FROM "courses_data";
INSERT INTO "courses_data" ("id", "visible", "listed", "deleted", "title", "short", "handle", "organizer", "subject", "credits", "created_by", "time_created", "time_updated", "semester", "settings", "downloadable", "embedinvisible", "description", "internal", "responsible", "feed_url", "external", "coursechapters", "autopublish", "autovisible", "profile", "login_info") VALUES
(1, true, true, true, 'Something deleted', 'S', 'del', '', '', 6, 2, '2007-10-01 00:00:00', '0001-01-01 00:00:00', '2007ws', '', true, false, 'Seite zur Veranstaltung...', '', '', '', false, false, false, false, 'default', ''),
(2, true, true, false, 'Berechenbarkeit und Komplexität', 'BuK', '07ws-buk', 'Prof. Vöcking', 'Informatik', 6, 2, '2007-10-01 00:00:00', '0001-01-01 00:00:00', '2007ws', '', true, false, 'Seite zur Veranstaltung...', '', '', '', false, false, false, false, 'default', ''),
(3, true, true, false, 'Diskrete Strukturen', 'Diskrete', '07ws-diskrete', 'Prof. Hiß', 'Informatik', 6, 2, '2007-10-01 00:00:00', '0001-01-01 00:00:00', '2007ws', '', true, true, 'Von dieser Vorlesungsreihe fehlen die ersten zwei Monate. Wenn wir die Gelegenheit bekommen, filmen wir gerne nochmal.', '', '', '', false, false, false, false, 'default', ''),
(13, false, true, false, 'Formale Systeme, Automaten, Prozesse', 'FoSAP', '09ss-fosap', 'Prof. Rossmanith', 'Informatik', 6, 2, '2009-04-01 00:00:00', '0001-01-01 00:00:00', '2009ss', '', true, false, 'Seite des Lehrstuhls ...', '', '', '', false, false, false, false, 'default', ''),
(62, true, false, false, 'Investition und Finanzierung', 'InFin', '11ws-infin', 'Prof. Breuer', 'BWL', 6, 1, '2011-09-22 21:50:23', '2011-10-16 19:36:13', '2011ws', '', false, false, 'Seite im Campus ...', '', '', '', false, false, false, false, 'default', '');
-- $POSTGRES_FIX_SEQUENCE(courses_data, id)

DELETE FROM "featured";
INSERT INTO "featured" ("id", "title", "text", "internal", "type", "param", "param2", "order", "visible", "deleted", "time_created", "time_updated", "created_by") VALUES
(1, 'Video AG', 'Wir machen Vorlesungsvideos', '', 'plain', '', '', 1, true, false, '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0),
(2, 'Image Panel', '', '', 'image', 'https://example.com/image.jpg', '', 0, false, false, '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0),
(3, 'Courses Panel', 'Vom Winter 07', '', 'courses', 'semester', '2007ws', 0, true, false, '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0),
(4, 'Lecture Panel', 'Watch this!', '', 'video', '3', '', 0, true, false, '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0),
(22, 'Deleted', 'Wir machen Vorlesungsvideos', '', 'plain', '', '', 1, true, true, '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0);
/* These need to be set afterwards because there is a trigger on insertion which modifies these */
UPDATE "featured" SET "order" = 1 WHERE "id" = 1;
UPDATE "featured" SET "order" = 0 WHERE "id" = 2;
UPDATE "featured" SET "order" = 0 WHERE "id" = 3;
UPDATE "featured" SET "order" = 0 WHERE "id" = 4;
UPDATE "featured" SET "order" = 1 WHERE "id" = 22;
-- $POSTGRES_FIX_SEQUENCE(featured, id)

DELETE FROM "formats";
INSERT INTO "formats" ("id", "description", "keywords", "resolution", "aspect", "prio", "player_prio", "mimetype", "options", "suffix") VALUES
(1, 'Format unbekannt', '', '', '', -100, 0, 'video/mp4', '{}', NULL),
(4, '1080p', '1080p', '1920x1080', '16:9', 10, 7, 'video/mp4', '{}', '-1080p.mp4'),
(5, '720p', '720p', '1280x720', '16:9', 5, 10, 'video/mp4', '{}', '-720p.mp4');
-- $POSTGRES_FIX_SEQUENCE(formats, id)

DELETE FROM "lectures_data";
INSERT INTO "lectures_data" ("id", "course_id", "visible", "timed_release", "use_timed_release", "drehplan", "deleted", "title", "comment", "internal", "speaker", "place", "time", "duration", "time_created", "time_updated", "jumplist", "titlefile", "live", "norecording", "profile", "stream_settings", "stream_job") VALUES
(1, 2, true, NULL, false, 'egal', false, 'Einführung zur Berechenbarkeit', '', '', '', '', '2007-10-19 12:00:00', 0, '0001-01-01 00:00:00', '0001-01-01 00:00:00', '', 'pub/07ws-buk/07ws-buk-071019-title.jpg', false, false, NULL, '', NULL),
(2, 2, true, NULL, false, 'egal', false, 'Einführung zur Berechenbarkeit', '', '', '', '', '2007-10-23 08:30:00', 0, '0001-01-01 00:00:00', '0001-01-01 00:00:00', '', 'pub/07ws-buk/07ws-buk-071023-title.jpg', false, false, NULL, '', NULL),
(3, 2, true, NULL, false, 'egal', false, 'Einführung zur Berechenbarkeit', '', '', '', '', '2007-10-26 12:00:00', 0, '0001-01-01 00:00:00', '0001-01-01 00:00:00', '', 'pub/07ws-buk/07ws-buk-071026-title.jpg', false, false, NULL, '', NULL),
(25, 3, true, NULL, false, 'egal', false, 'Graphentheorie: Grundbegriffe, Datenstrukturen, Algorithmus für Breitensuche', '', '', '', '', '2007-12-11 13:30:00', 0, '0001-01-01 00:00:00', '0001-01-01 00:00:00', '', 'pub/07ws-diskrete/07ws-diskrete-071211-title.jpg', false, false, NULL, '', NULL),
(26, 3, false, NULL, false, 'egal', false, 'Hamiltonkreis, Eulertour, Eulerweg', '', '', '', '', '2007-12-18 13:30:00', 0, '0001-01-01 00:00:00', '0001-01-01 00:00:00', '', 'pub/07ws-diskrete/07ws-diskrete-071218-title.jpg', false, false, NULL, '', NULL),
(29, 3, true, NULL, false, 'egal', false, 'Modulare Arithmetik: Gruppe, Ring, Körper, abelsche Gruppe, Untergruppe, Einheitengruppe. Restklassenringe, Primzahl.', '', '', '', '', '2008-01-17 08:15:00', 0, '0001-01-01 00:00:00', '0001-01-01 00:00:00', '', 'pub/07ws-diskrete/07ws-diskrete-080117-title.jpg', false, false, NULL, '', NULL),
(185, 13, true, NULL, false, 'egal', false, 'Organisatorisches, Motivation, Künstliche Pflanzen, Alphabete, Wörter, Sprachen', 'Sorry für den schlechten Ton', '', '', '', '2009-04-16 10:00:00', 90, '0001-01-01 00:00:00', '0001-01-01 00:00:00', '', 'pub/09ss-fosap/09ss-fosap-090416-title.jpg', false, false, NULL, '', NULL),
(186, 13, true, NULL, false, 'egal', false, 'Alphabete, Wörter, Sprachen, Reguläre Ausdrücke', '', '', '', '', '2009-04-21 08:15:00', 45, '0001-01-01 00:00:00', '0001-01-01 00:00:00', '', 'pub/09ss-fosap/09ss-fosap-090421-title.jpg', false, false, NULL, '', NULL),
(187, 13, true, NULL, false, 'egal', true, 'Reguläre Ausdrücke, Endliche Automaten', '', '', '', '', '2009-04-23 10:00:00', 90, '0001-01-01 00:00:00', '0001-01-01 00:00:00', '', 'pub/09ss-fosap/09ss-fosap-090423-title.jpg', false, false, NULL, '', NULL),
(1186, 62, true, NULL, false, 'egal', false, 'Einführung, I. Grundlagen', '', '', '', 'Aula', '2011-10-10 18:30:00', 90, '0001-01-01 00:00:00', '0001-01-01 00:00:00', '', 'pub/11ws-infin/11ws-infin-111010-title.jpg', false, false, NULL, '', NULL),
(1187, 62, true, NULL, false, 'egal', false, '', 'noch kein Titel', '', '', 'Aula', '2011-10-17 18:30:00', 90, '0001-01-01 00:00:00', '0001-01-01 00:00:00', '', 'pub/11ws-infin/11ws-infin-111017-title.jpg', false, false, NULL, '', NULL),
(1188, 62, true, NULL, false, 'egal', false, '', 'noch kein Titel', '', '', 'Aula', '2050-10-24 18:30:00', 90, '0001-01-01 00:00:00', '0001-01-01 00:00:00', '', 'pub/11ws-infin/11ws-infin-111024-title.jpg', false, false, NULL, '', NULL);
-- $POSTGRES_FIX_SEQUENCE(lectures_data, id)

DELETE FROM "perm";
INSERT INTO "perm" ("id", "deleted", "course_id", "lecture_id", "video_id", "type", "param1", "param2", "time_created", "time_updated", "created_by") VALUES
(1, false, 2, NULL, NULL, 'rwth', NULL, NULL, '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0),
(2, false, 2, NULL, NULL, 'fsmpi', NULL, NULL, '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0),
(5, false, 62, NULL, NULL, 'moodle', '1', NULL, '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0),
(6, true, NULL, 3, NULL, 'password', 't', 't', '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0),
(17, false, 3, NULL, NULL, 'none', '', '', '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0),
(18, false, NULL, 29, NULL, 'password', 't', 't', '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0),
(19, false, NULL, 25, NULL, 'public', NULL, NULL, '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0),
(28, false, NULL, 3, NULL, 'public', NULL, NULL, '2024-01-01 00:00:00', '2024-01-01 00:00:00', 0);
-- $POSTGRES_FIX_SEQUENCE(perm, id)

DELETE FROM "videos_data";
INSERT INTO "videos_data" ("id", "lecture_id", "visible", "deleted", "downloadable", "title", "comment", "internal", "path", "file_modified", "time_created", "time_updated", "created_by", "file_size", "video_format", "hash", "source", "duration") VALUES
(185, 185, true, false, true, '', '', '', 'pub/09ss-fosap/09ss-fosap-090416.mp4', '2009-04-22 23:18:28', '2009-04-22 23:18:28', '2009-04-22 23:18:28', 0, 418148064, 5, '82f4389afa4b0012c3f3c583a097ef76', NULL, 0),
(186, 186, true, false, true, '', '', '', 'pub/09ss-fosap/09ss-fosap-090421.mp4', '2009-05-05 23:35:30', '2009-05-05 23:35:30', '2009-05-05 23:35:30', 0, 246922038, 5, 'a1df9c4f7e220a72137d99589132e9e8', NULL, 0),
(204, 186, true, false, true, '', '', '', 'pub/09ss-fosap/09ss-fosap-090421.f4v', '2009-05-05 23:48:13', '2009-05-05 23:48:13', '2009-05-05 23:48:13', 0, 228716898, 4, 'c4ebf870cdf5691c75fbc5c09fda6a53', 24, 0),
(214, 187, true, true, true, '', '', '', 'pub/09ss-fosap/09ss-fosap-090423.mp4', '2009-07-06 14:06:32', '2009-07-06 14:06:32', '2009-07-06 14:06:32', 0, 506655824, 5, '1c7e441eae08f04867c282c8f03c1aa2', NULL, 0),
(1366, 1, true, false, true, '', '', '', 'vpnonline/07ws-buk/07ws-buk-071019.mp4', '2011-08-15 05:34:54', '2011-08-15 05:57:30', '2011-08-15 05:57:30', 0, 309620019, 1, 'c33d54c32a64ca2db52da59e2c117e7b', NULL, 0),
(1367, 2, true, false, true, '', '', '', 'vpnonline/07ws-buk/07ws-buk-071023.mp4', '2011-08-15 05:35:37', '2011-08-15 05:57:33', '2011-08-15 05:57:33', 0, 442344305, 1, 'd4a1b0dea093334637034c688d376929', NULL, 0),
(1368, 3, false, false, true, '', '', '', 'vpnonline/07ws-buk/07ws-buk-071026.mp4', '2011-08-15 05:36:29', '2011-08-15 05:57:37', '2011-08-15 05:57:37', 0, 496109745, 1, '6fa56385b454ad06ad20bce95ef70844', NULL, 0),
(1486, 26, true, false, true, '', '', '', 'pub/07ws-diskrete/07ws-diskrete-071218.mp4', '2011-08-23 01:18:41', '2011-08-23 02:35:37', '2011-08-23 02:35:37', 0, 398065123, 1, '879b9fed123cfe08ccd6817c1ab4ecad', NULL, 0),
(1487, 29, true, false, true, '', '', '', 'pub/07ws-diskrete/07ws-diskrete-080117.mp4', '2011-08-23 01:19:24', '2011-08-23 02:35:39', '2011-08-23 02:35:39', 0, 389368926, 1, '0a299de5d132a99fcfcea2621b7925e5', NULL, 0),
(1495, 25, true, false, true, '', '', '', 'pub/07ws-diskrete/07ws-diskrete-071211.mp4', '2011-08-23 04:05:37', '2011-08-23 04:07:24', '2011-08-23 04:07:24', 0, 549478861, 1, '399a5095ed14b5dce2c1bb304c297ddc', NULL, 0),
(1497, 1186, true, false, true, '', '', '', 'vpnonline/11ws-infin/11ws-infin-111010.mp4', '2011-10-12 14:17:09', '2011-10-28 11:21:31', '2011-10-28 11:21:31', 0, 687254584, 5, 'b4eb3b764b763ea86b1800730aac1a2a', NULL, 0),
(1539, 1187, true, false, true, '', '', '', 'vpnonline/11ws-infin/11ws-infin-111017.mp4', '2011-10-19 11:36:40', '2011-10-28 11:21:35', '2011-10-28 11:21:35', 0, 1080865275, 5, 'b0b57f352a1f79de7a69c4ab8f0cef15', NULL, 0),
(1540, 1188, true, false, true, '', '', '', 'vpnonline/11ws-infin/11ws-infin-111024.mp4', '2011-10-25 13:39:00', '2011-10-28 11:21:38', '2011-10-28 11:21:38', 0, 1042222975, 5, '50e67bdf59e74262f6ab3e770da1a7c0', NULL, 0);
-- $POSTGRES_FIX_SEQUENCE(videos_data, id)

DELETE FROM "users";
INSERT INTO "users" ("id", "name", "realname", "level", "fsacc", "last_login", "calendar_key", "rfc6238", "mail_notifications", "time_updated", "notify_chapter_submitted", "notify_new_video", "notify_edit") VALUES
(0, 'gustav', 'Gustav Geier', 1, '', NULL, '', '', true, NULL, true, true, false),
(42, 'gustav42', 'Gustav Geier', 2, '', NULL, '', '', true, NULL, true, true, false),
(43, 'videoag', 'Video', 1, 'videoag', NULL, '', '', true, NULL, true, true, false);
-- $POSTGRES_FIX_SEQUENCE(users, id)

DELETE FROM "changelog";
-- $POSTGRES_FIX_SEQUENCE(changelog, id)

DELETE FROM "sortlog";
INSERT INTO "sortlog" ("id", "when", "path", "lecture_id", "video_id") VALUES
(1, '2024-03-14 15:12:52', 'pub/09ss-fosap/09ss-fosap-090423.mp4', 187, 214),
(2, '2024-03-14 16:12:52', 'pub/07ws-diskrete/07ws-diskrete-071211.mp4', 25, 1495);
-- $POSTGRES_FIX_SEQUENCE(sortlog, id)

DELETE FROM "sorterrorlog_data";
INSERT INTO "sorterrorlog_data" ("id", "when", "path", "course_id", "matches", "deleted", "time_updated", "time_created") VALUES
(1, '2024-03-12 11:30:15', 'pub/09ss-fosap/09ss-fosap-091018.mp4', 13, '10001,10002', false, '2024-03-01 00:00:00', '2024-03-01 00:00:00'),
(2, '2024-03-11 11:30:15', 'pub/09ss-fosap/09ss-fosap-091018.mp4', 13, '10001,10002', true, '2024-03-01 00:00:00', '2024-03-01 00:00:00');
-- $POSTGRES_FIX_SEQUENCE(sorterrorlog_data, id)

DELETE FROM "worker";
INSERT INTO "worker" ("hostname", "last_ping") VALUES
('work1', '2024-03-26 08:12:49');

DELETE FROM "jobs";
INSERT INTO "jobs" ("id", "type", "priority", "queue", "state", "time_finished", "time_scheduled", "time_created", "last_ping", "worker", "data", "status", "canceled") VALUES
(1, 'thumbnail', 0, 'default', 'ready', NULL, NULL, '2024-03-18 18:53:02', NULL, NULL, '{"src": "pub/07ws-diskrete/07ws-diskrete-071211.mp4", "filename": "l_25.jpg"}', '{}', false),
(2, 'thumbnail', 0, 'default', 'deleted', NULL, NULL, '2024-03-18 18:52:00', NULL, NULL, '{"src": "pub/07ws-diskrete/07ws-diskrete-071211.mp4", "filename": "l_25.jpg"}', '{}', false),
(3, 'remux', 0, 'default', 'running', NULL, '2024-03-19 12:37:38', '2024-03-17 09:20:02', '2024-03-19 12:38:38', 'work1', '{"src": "pub/07ws-diskrete/07ws-diskrete-071211.mp4"}', '{}', false),
(4, 'thumbnail', 0, 'default', 'finished', '2024-03-19 10:30:41', '2024-03-19 10:29:10', '2024-03-17 09:21:02', '2024-03-19 10:30:41', 'work2', '{"src": "pub/07ws-diskrete/07ws-diskrete-071211.mp4", "filename": "l_25.jpg"}', '{}', false),
(5, 'thumbnail', 0, 'default', 'failed', NULL, '2024-03-19 10:29:10', '2024-03-17 09:21:01', '2024-03-19 10:30:41', 'work2', '{"src": "pub/07ws-diskrete/07ws-diskrete-071211.mp4", "filename": "l_25.jpg"}', '{}', false);
-- $POSTGRES_FIX_SEQUENCE(jobs, id)

DELETE FROM "sources";
INSERT INTO "sources" ("id", "lecture_id", "path", "type", "hash", "time_created") VALUES
(24, 186, 'pub/something.mp4', 'plain', 'c4ebf870cdf5691c75fbc5c09fda6a53', '2024-03-18 11:22:40');
-- $POSTGRES_FIX_SEQUENCE(sources, id)

DELETE FROM "feedback";
INSERT INTO "feedback" ("id", "time_created", "email", "text") VALUES
(1, '2024-03-18 18:53:02', NULL, 'Hier FuNkToNiErT NICHTS!'),
(2, '2024-03-10 20:11:08', 'no-one@example.com', 'Ein bisschen Feedback');
-- $POSTGRES_FIX_SEQUENCE(feedback, id)
