from api_test import ApiTest
from api.miscellaneous import *


class RateLimiterTest(ApiTest):
    
    def test_interval(self):
        limiter: IntervalRateLimiter = IntervalRateLimiter(
            500,
            5,
            100,
            "test_limiter")
        self.assertTrue(limiter._check_new_request_with_time(0))
        self.assertTrue(limiter._check_new_request_with_time(1))
        
        self.assertTrue(limiter._check_new_request_with_time(110))
        
        self.assertTrue(limiter._check_new_request_with_time(220))
        self.assertTrue(limiter._check_new_request_with_time(221))
        self.assertFalse(limiter._check_new_request_with_time(222))
        
        self.assertFalse(limiter._check_new_request_with_time(499))
        self.assertTrue(limiter._check_new_request_with_time(501))
        self.assertTrue(limiter._check_new_request_with_time(502))
        self.assertFalse(limiter._check_new_request_with_time(503))
        
        self.assertFalse(limiter._check_new_request_with_time(600))
        self.assertTrue(limiter._check_new_request_with_time(620))
        self.assertFalse(limiter._check_new_request_with_time(621))
        
        self.assertFalse(limiter._check_new_request_with_time(710))
        self.assertTrue(limiter._check_new_request_with_time(730))
        self.assertTrue(limiter._check_new_request_with_time(731))
        self.assertFalse(limiter._check_new_request_with_time(732))
        
        self.assertFalse(limiter._check_new_request_with_time(990))
        self.assertTrue(limiter._check_new_request_with_time(1240))
        self.assertTrue(limiter._check_new_request_with_time(1241))
        self.assertTrue(limiter._check_new_request_with_time(1242))
        self.assertTrue(limiter._check_new_request_with_time(1243))
        self.assertTrue(limiter._check_new_request_with_time(1244))
        self.assertFalse(limiter._check_new_request_with_time(1245))
        
        self.assertFalse(limiter._check_new_request_with_time(1740))
        self.assertTrue(limiter._check_new_request_with_time(1750))
        self.assertTrue(limiter._check_new_request_with_time(1751))
        self.assertTrue(limiter._check_new_request_with_time(1752))
        self.assertTrue(limiter._check_new_request_with_time(1753))
        self.assertTrue(limiter._check_new_request_with_time(1754))
        self.assertFalse(limiter._check_new_request_with_time(1755))
    